/// <summary> /// The method called when Autodesk Revit starts. /// </summary> /// <param name="application">Controlled application to be loaded to Autodesk Revit process.</param> /// <returns>Return the status of the external application.</returns> public ExternalDBApplicationResult OnStartup(Autodesk.Revit.ApplicationServices.ControlledApplication application) { // As an ExternalServer, the importer cannot be registered until full application initialization. Setup an event callback to do this // at the appropriate time. RevitApplication = application; application.ApplicationInitialized += OnApplicationInitialized; return(ExternalDBApplicationResult.Succeeded); }
/// <summary> /// The method called when Autodesk Revit starts. /// </summary> /// <param name="application">Controlled application to be loaded to Autodesk Revit process.</param> /// <returns>Return the status of the external application.</returns> public ExternalDBApplicationResult OnStartup(Autodesk.Revit.ApplicationServices.ControlledApplication application) { // As an ExternalServer, the importer cannot be registered until full application initialization. Setup an event callback to do this // at the appropriate time. RevitApplication = application; application.ApplicationInitialized += OnApplicationInitialized; return ExternalDBApplicationResult.Succeeded; }
public ExternalDBApplicationResult OnStartup(Autodesk.Revit.ApplicationServices.ControlledApplication app) { //event for design automation DesignAutomationBridge.DesignAutomationReadyEvent += HandleDesignAutomationReadyEvent; //event for local test //app.ApplicationInitialized += HandleApplicationInitializedEvent; return(ExternalDBApplicationResult.Succeeded); }
/// <summary> /// The method called when Autodesk Revit exits. /// </summary> /// <param name="application">Controlled application to be shutdown.</param> /// <returns>Return the status of the external application.</returns> public ExternalDBApplicationResult OnShutdown(Autodesk.Revit.ApplicationServices.ControlledApplication application) { return(ExternalDBApplicationResult.Succeeded); }
private void AddAppDocEvents(Autodesk.Revit.ApplicationServices.ControlledApplication app) { m_appDocEvents = new AppDocEvents(app); m_appDocEvents.EnableEvents(); }
private void AddAppDocEvents(RevitApplicationServices.ControlledApplication app) { appDocEvents = new AppDocEvents(app); appDocEvents.EnableEvents(); }
public ExternalDBApplicationResult OnStartup(Autodesk.Revit.ApplicationServices.ControlledApplication app) { DesignAutomationBridge.DesignAutomationReadyEvent += HandleDesignAutomationReadyEvent; return(ExternalDBApplicationResult.Succeeded); }
public ExternalDBApplicationResult OnStartup(Autodesk.Revit.ApplicationServices.ControlledApplication app) { app.ApplicationInitialized += HandleApplicationInitializedEvent; return(ExternalDBApplicationResult.Succeeded); }
public AppDocEvents(RevitApplicationServices.ControlledApplication app) { m_app = app; }
public ExternalDBApplicationResult OnStartup(Autodesk.Revit.ApplicationServices.ControlledApplication app) { System.Console.WriteLine("OnStartup..."); DesignAutomationBridge.DesignAutomationReadyEvent += HandleDesignAutomationReadyEvent; return(ExternalDBApplicationResult.Succeeded); }